Rapid7 Vulnerability & Exploit Database

Cisco IOS: CVE-2019-16009: Cisco IOS and Cisco IOS XE Software Web UI Cross-Site Request Forgery Vulnerability

Back to Search

Cisco IOS: CVE-2019-16009: Cisco IOS and Cisco IOS XE Software Web UI Cross-Site Request Forgery Vulnerability

Severity
4
CVSS
(AV:L/AC:M/Au:N/C:P/I:P/A:P)
Published
01/09/2020
Created
01/09/2020
Added
01/09/2020
Modified
09/24/2020

Description

A vulnerability in the web UI of Cisco IOS and Cisco IOS XE Software could allow an unauthenticated, remote attacker to conduct a cross-site request forgery (CSRF) attack on an affected system. The vulnerability is due to insufficient CSRF protections for the web UI on an affected device. An attacker could exploit this vulnerability by persuading a user of the interface to follow a malicious link. A successful exploit could allow the attacker to perform arbitrary actions with the privilege level of the targeted user. If the user has administrative privileges, the attacker could alter the configuration, execute commands, or reload an affected device.

Solution(s)

  • cisco-ios-upgrade-latest

References

  • cisco-ios-upgrade-latest

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;